[Numpy-tickets] [NumPy] #500: Numpy distutils relies on obsoleted gfortran --version output

NumPy numpy-tickets@scipy....
Mon Apr 16 22:25:54 CDT 2007


#500: Numpy distutils relies on obsoleted gfortran --version output
-------------------------+--------------------------------------------------
 Reporter:  jarodwilson  |       Owner:  somebody
     Type:  defect       |      Status:  new     
 Priority:  normal       |   Milestone:          
Component:  Other        |     Version:  none    
 Severity:  normal       |    Keywords:          
-------------------------+--------------------------------------------------
 Numpy's distutils relies on the output of gcc's gfortran --version to
 determine the presence of fortran 95 support. Upstream gcc has removed
 "95" from the version string, because gcc fortran actually supports f95,
 f77 and now part of f2003 as well. At present, numpy still builds against
 Fedora's development tree, but scipy, which uses numpy's distutils,
 crashes and burns.

 References:

 http://gcc.gnu.org/ml/gcc-patches/2007-03/msg00320.html

 http://gcc.gnu.org/bugzilla/show_bug.cgi?id=31050

 https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=236670

-- 
Ticket URL: <http://projects.scipy.org/scipy/numpy/ticket/500>
NumPy <http://projects.scipy.org/scipy/numpy>
The fundamental package needed for scientific computing with Python.


More information about the Numpy-tickets mailing list